export declare const isEmpty: (value?: unknown) => boolean;
export declare const isRequired: (value?: unknown) => boolean;
export declare const isLength: (value?: unknown, min?: number, max?: number) => boolean;
export declare const isRegex: (value: string, regex: RegExp) => boolean;
export declare const isEmail: (value: string) => boolean;
export declare const isMostLikelyEmail: (value: string) => boolean;
export declare const isPhone: (value: string) => boolean;
export declare const isUrl: (value: string) => boolean;
export declare const isInt: (value: string) => boolean;
export declare const isNumber: (value: string) => boolean;
export declare const isEqual: (value: unknown, prop: unknown) => boolean;
export declare const isOneOf: (value: (string | number), ...props: (string | number)[]) => boolean;
export declare const isShortText: (value: string) => boolean;
export declare const isLongText: (value: string) => boolean;
export declare const hasPasswordLength: (value: string) => boolean;
export declare const hasLowerCase: (value: string) => boolean;
export declare const hasUpperCase: (value: string) => boolean;
export declare const hasNumbers: (value: string) => boolean;
export declare const hasSpecialCharacters: (value: string) => boolean;
export declare const isPassword: (value: string) => boolean;
export declare const isTime: (value: string, min?: string, max?: string) => boolean;
//# sourceMappingURL=index.d.ts.map